# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gremlin/version'

Gem::Specification.new do |spec|
  spec.name          = "gremlin"
  spec.version       = Gremlin::VERSION
  spec.authors       = ["Kevin G. Phillips", "Chris Constantine"]
  spec.email         = ["platform@omadahealth.com"]

  spec.summary       = %q{Gem to sanely emit metrics from Omadahealth rails applications}
  spec.description   = %q{A modular metrics harness for Omadahealth rails applications}
  spec.homepage      = "https://github.com/omadahealth/gremlin"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency 'rspec', '~> 3.3', '>= 3.3.0'
  spec.add_development_dependency 'rdoc'
  spec.add_development_dependency "rspec-rails"
  spec.add_development_dependency "sqlite3"

  spec.add_runtime_dependency 'quantile'
  spec.add_runtime_dependency 'rails'
  spec.add_runtime_dependency 'redis', '~> 3.2'
end
